<template>
  <el-table
    :data="SClist"
    style="width: 100%"
    :header-cell-style="{
      'text-align': 'left',

      fontSize: '20px',
    }"
  >
    <el-table-column :label="labelName">
      <!-- <el-table-column
    :prop="item.prop"
    :label="item.label"
    :key="index"
    v-if="item"
  > -->
      <template v-for="(item, index) in tableHeader">
        <el-table-column
          :prop="item.prop"
          :label="item.label"
          :key="index"
          v-if="item"
        >
          <template #default="scope">
            <div v-show="editable || scope.row.editable" class="editable-row">
              <template v-if="item.type === 'input' || item.type === 'text'">
                <el-input
                  size="small"
                  v-model="scope.row[item.prop]"
                  :placeholder="`请输入${item.label}`"
                />
              </template>

             
            </div>
            <div v-show="!editable && !scope.row.editable" class="editable-row">
              <span class="editable-row-span">{{ scope.row[item.prop] }}</span>
            </div>
          </template>
        </el-table-column>
      </template>
    </el-table-column>
  </el-table>
</template>
<script>
export default {
  props: ["SClist", "tableHeader", "labelName", "editable"],
};
</script>
